Package org.bukkit.util

# Interface CachedServerIcon

public interface CachedServerIcon
This is a cached version of a server-icon. It's internal representation and implementation is undefined.

See Also:
  - `Server.getServerIcon()`
  - `Server.loadServerIcon(java.awt.image.BufferedImage)`
  - `Server.loadServerIcon(java.io.File)`
  - `ServerListPingEvent.setServerIcon(CachedServerIcon)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getData()`
`default boolean`
`isEmpty()`

## Method Details

### getData

@Nullable @Nullable String getData()

### isEmpty

default boolean isEmpty()